TILES-UPDATE-EXPIRE(1)

NAME
openstreetmap-tiles-update-expire - updates a map database from the OSM diff stream.

SYNOPSIS
openstreetmap-tiles-update-expire [YYYY-MM-DD]

DESCRIPTION
This manual page documents briefly the openstreetmap-tiles-update-expire command.

openstreetmap-tiles-update-expire is a helper script to keep a mod_tile based openstreetmap tile server up to date. It downloads a diff stream from OpenStreetMap using osmosis, then applies it to your database using osm2pgsql and finally marks changed tiles on disk as "dirty". Each time you call this script, it does one update cycle. If your db is further behind than the maximum duration for which osmosis is configured to fetch diffs, the db will not be fully up-to-date at the end of this script and it will be necessary to call it multiple times for a fully up-to-date database. This script can be used in conjunction with cron to automatically keep your database in sync with the OSM diff stream.

The first time this script needs to be called with a date to initialise the process. Thereafter, the script gets called without arguments.

OPTIONS

YYYY-MM-DD
    generation date of the planet file used for import. It initialises osmosis diff processing to this date. It is safe to set this date earlier than the actual date, as one can reapply diffs multiple times. This ensures that there is no missing data due to a gap between the generation of the planet file and the start of the diff processing.

SEE ALSO
renderd(1)

AUTHOR
openstreetmap-tiles-update-expire was written by OpenStreetMap project members.

This manual page was written by OpenStreetMap authors.